Page MenuHomeVyOS Platform

'sh ip bgp sum' being truncated
Closed, ResolvedPublicBUG

Description

This is only a visual bug. Issue only occurs when you have over six BGP peers. When running 'sh ip bgp sum':

vyos@vyos:~$ sh ip bgp sum

IPv4 Unicast Summary:
BGP router identifier 172.19.11.5, local AS number 65020 vrf-id 0
BGP table version 0
RIB entries 0, using 0 bytes of memory
Peers 7, using 144 KiB of memory
Peer groups 1, using 64 bytes of memory

Neighbor        V         AS MsgRcvd MsgSent   TblVer  InQ OutQ  Up/Down State/PfxRcd
172.19.11.1     4      65020      11      11        0    0    0 00:08:41            0
172.19.11.2     4      65020      11      11        0    0    0 00:08:41            0
172.19.11.3     4      65020      11      11        0    0    0 00:08:41            0
172.19.11.4     4      65020      11      11        0    0    0 00:08:41            0
172.19.11.6     4      65020      11      11        0    0    0 00:08:04            0
172.19.11.7     4      65020      10      10        0    0    0 00:07:32            0
172.19.11.8     4      65020       9       9        0    0    0 00:06:16        :

[continue scrolling by pressing <space>]

vyos@vyos:~$ sh ip bgp sum

IPv4 Unicast Summary:
BGP router identifier 172.19.11.5, local AS number 65020 vrf-id 0
BGP table version 0
RIB entries 0, using 0 bytes of memory
Peers 7, using 144 KiB of memory
Peer groups 1, using 64 bytes of memory

Neighbor        V         AS MsgRcvd MsgSent   TblVer  InQ OutQ  Up/Down State/PfxRcd
172.19.11.1     4      65020      11      11        0    0    0 00:08:41            0
172.19.11.2     4      65020      11      11        0    0    0 00:08:41            0
172.19.11.3     4      65020      11      11        0    0    0 00:08:41            0
172.19.11.4     4      65020      11      11        0    0    0 00:08:41            0
172.19.11.6     4      65020      11      11        0    0    0 00:08:04            0
172.19.11.7     4      65020      10      10        0    0    0 00:07:32            0
    0

Total number of neighbors 7
vyos@vyos:~$

Details

Difficulty level
Unknown (require assessment)
Version
VyOS 1.2.0-rc11
Why the issue appeared?
Will be filled on close

Event Timeline

knozzle created this task.Dec 26 2018, 4:25 AM
syncer assigned this task to zsdc.Jan 3 2019, 2:05 PM
syncer triaged this task as Low priority.
syncer edited projects, added VyOS 1.3 Equuleus; removed VyOS 1.2 Crux.
zsdc added a comment.Jan 7 2019, 1:53 PM

Hi, @knozzle !
Provide, please, output of next command, executed in the same terminal as defected show ip bgp summary:

tput cols ; tput lines
vyos@core1:~$ tput cols ; tput lines
80
24

Running in GNS3 and connecting via telnet. Using SecureCRT 8.3.4 as the terminal emulator.

zsdc added a comment.Jan 8 2019, 8:55 AM

Can you reproduce this with some other emulator, except SecureCRT and make video with this bug?

pasik added a subscriber: pasik.Jan 8 2019, 4:46 PM

Attached video shows the issue using PuTTY and SecureCRT.

syncer raised the priority of this task from Low to Normal.Jan 14 2019, 4:49 PM

In the VyOS 1.2-rolling-201912090217 and VyOS 1.3-rolling-201912090242 all work fine

vyos@1.2-roll-ns:~$ show ip bgp sum

IPv4 Unicast Summary:
BGP router identifier 192.192.192.1, local AS number 65535 vrf-id 0
BGP table version 7
RIB entries 3, using 552 bytes of memory
Peers 13, using 266 KiB of memory

Neighbor        V         AS MsgRcvd MsgSent   TblVer  InQ OutQ  Up/Down State/PfxRcd
10.5.1.2        4      65534       6       6        0    0    0 00:00:07            1
10.5.2.2        4      65534       6       6        0    0    0 00:00:06            1
10.5.3.2        4      65534       6       6        0    0    0 00:00:06            1
10.5.4.2        4      65534       6       6        0    0    0 00:00:06            1
10.5.5.2        4      65534       6       6        0    0    0 00:00:06            1
10.5.6.2        4      65534       6       6        0    0    0 00:00:06            1
10.5.7.2        4      65534       6       6        0    0    0 00:00:06            1
10.5.8.2        4      65534       6       6        0    0    0 00:00:05            1
10.5.9.2        4      65534       6       6        0    0    0 00:00:05            1
10.5.10.2       4      65534       6       6        0    0    0 00:00:06            1
10.5.11.2       4      65534       6       6        0    0    0 00:00:06            1
10.5.12.2       4      65534       6       6        0    0    0 00:00:06            1
10.100.200.1    4      65534     233     233        0    0    0 03:31:40            1

Total number of neighbors 13

vyos@1.2-roll-ns:~$ tput cols ; tput lines
158
45
Viacheslav closed this task as Resolved.May 25 2020, 9:00 AM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Jun 2 2020, 5:50 PM